Package org.apache.commons.fileupload2.jakarta.servlet6

# Class JakartaStreamingDiskTest

java.lang.Object
org.apache.commons.fileupload2.core.AbstractTest<org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload,HttpServletRequest,DiskFileItem,DiskFileItemFactory>
org.apache.commons.fileupload2.core.AbstractStreamingTest<org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload,HttpServletRequest,org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletRequestContext,DiskFileItem,DiskFileItemFactory>
org.apache.commons.fileupload2.jakarta.servlet6.JakartaStreamingDiskTest

public class JakartaStreamingDiskTest extends AbstractStreamingTest<org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload,HttpServletRequest,org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletRequestContext,DiskFileItem,DiskFileItemFactory>
Unit test for items with varying sizes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JakartaStreamingDiskTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DiskFileItemFactory`
  `newDiskFileItemFactory()`
  `protected org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload`
  `newFileUpload()`
  `protected HttpServletRequest`
  `newMockHttpServletRequest(InputStream request, long requestLength, String contentType, int readLimit)`
  `protected org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletRequestContext`
  `newServletRequestContext(HttpServletRequest request)`

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractStreamingTest

  `getFooter, getHeader, newRequest, newShortRequest, parseUpload, parseUpload, parseUpload, testFileUpload, testFILEUPLOAD135, testFileUploadException, testInvalidFileNameException, testIOException`

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractTest

  `newMockHttpServletRequest, newMockHttpServletRequest`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JakartaStreamingDiskTest

    public JakartaStreamingDiskTest()

- ## Method Details

  - ### newDiskFileItemFactory

    protected DiskFileItemFactory newDiskFileItemFactory()
    Specified by:
      `newDiskFileItemFactory` in class `AbstractStreamingTest<org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload,HttpServletRequest,org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletRequestContext,DiskFileItem,DiskFileItemFactory>`

  - ### newFileUpload

    protected org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload newFileUpload()
    Specified by:
      `newFileUpload` in class `AbstractTest<org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload,HttpServletRequest,DiskFileItem,DiskFileItemFactory>`

  - ### newMockHttpServletRequest

    protected HttpServletRequest newMockHttpServletRequest(InputStream request, long requestLength, String contentType, int readLimit)
    Specified by:
      `newMockHttpServletRequest` in class `AbstractTest<org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload,HttpServletRequest,DiskFileItem,DiskFileItemFactory>`

  - ### newServletRequestContext

    protected org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletRequestContext newServletRequestContext(HttpServletRequest request)
    Specified by:
      `newServletRequestContext` in class `AbstractStreamingTest<org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload,HttpServletRequest,org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletRequestContext,DiskFileItem,DiskFileItemFactory>`